> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Company Facts

> Get company facts for a ticker.



## OpenAPI

````yaml openapi/financial.json GET /apis/v1/financial/company/facts/ticker
openapi: 3.1.0
info:
  description: ''
  title: FinancialAPI
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/financial/analyst-estimates
    - /apis/v1/financial/company/facts
    - /apis/v1/financial/company/facts/ticker
    - /apis/v1/financial/crypto/prices
    - /apis/v1/financial/crypto/prices/snapshot
    - /apis/v1/financial/earnings
    - /apis/v1/financial/earnings/press-releases
    - /apis/v1/financial/filings
    - /apis/v1/financial/filings/items
    - /apis/v1/financial/financial-metrics
    - /apis/v1/financial/financial-metrics/snapshot
    - /apis/v1/financial/financials
    - /apis/v1/financial/financials/balance-sheets
    - /apis/v1/financial/financials/cash-flow-statements
    - /apis/v1/financial/financials/income-statements
    - /apis/v1/financial/financials/search/line-items
    - /apis/v1/financial/financials/search/screener
    - /apis/v1/financial/financials/segmented-revenues
    - /apis/v1/financial/insider-trades
    - /apis/v1/financial/institutional-ownership
    - /apis/v1/financial/kpi/guidance
    - /apis/v1/financial/kpi/metrics
    - /apis/v1/financial/kpi/non-gaap
    - /apis/v1/financial/macro/interest-rates
    - /apis/v1/financial/macro/interest-rates/snapshot
    - /apis/v1/financial/news
    - /apis/v1/financial/prices
    - /apis/v1/financial/prices/snapshot
  x-aisa-document:
    facts_hash: e50cd45334c72588707922b805d9701775496b3503d0a3809c7462c18defa971
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending:
      - operation_id: get_financial_analyst_estimates
        path: /apis/v1/financial/analyst-estimates
        method: GET
        statuses:
          - '200'
        reason: public success response has no authoritative payload declaration
    document_hash: sha256:92a2ebe1cedb3b29262bd2179cdd4fc2b204a165ec1e5de32c36a393740f9f66
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: financial
  x-aisa-catalogs:
    financial:
      title: FinancialAPI
      description: ''
      x-aisa-document:
        facts_hash: e50cd45334c72588707922b805d9701775496b3503d0a3809c7462c18defa971
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/financial/company/facts/ticker:
    get:
      tags:
        - Zero
      summary: Get Company Facts
      description: Get company facts for a ticker.
      operationId: any_financial_apis_v1_financial_company_facts_ticker
      parameters:
        - name: cik
          in: query
          description: The CIK of the company.
          required: false
          schema:
            type: string
        - name: ticker
          in: query
          description: The ticker symbol.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Company facts response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseE40Feb4D3D6B_CompanyFactsResponse'
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
components:
  schemas:
    ResponseE40Feb4D3D6B_CompanyFactsResponse:
      type: object
      properties:
        company_facts:
          $ref: '#/components/schemas/ResponseE40Feb4D3D6B_CompanyFacts'
    ResponseE40Feb4D3D6B_CompanyFacts:
      type: object
      properties:
        ticker:
          type: string
          description: The ticker symbol of the company.
        name:
          type: string
          description: The name of the company.
        cik:
          type: string
          description: The Central Index Key (CIK) of the company.
        industry:
          type: string
          description: The industry of the company.
        sector:
          type: string
          description: The sector of the company.
        exchange:
          type: string
          description: The exchange of the company.
        is_active:
          type: boolean
          description: Whether the company is currently active.
        location:
          type: string
          description: The location of the company.
        sec_filings_url:
          type: string
          format: uri
          description: The URL of the company's SEC filings.
        sic_code:
          type: string
          description: The Standard Industrial Classification (SIC) code of the company.
        sic_industry:
          type: string
          description: The industry of the company based on the SIC code.
        sic_sector:
          type: string
          description: The sector of the company based on the SIC code.
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.